curl --request POST \
--url https://developer.synq.io/api/datachecks/scheduler/v1/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityIds": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
'import requests
url = "https://developer.synq.io/api/datachecks/scheduler/v1/trigger"
payload = { "entityIds": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entityIds: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]})
};
fetch('https://developer.synq.io/api/datachecks/scheduler/v1/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"sqlTestResult": {
"sqlTestId": "<string>",
"entityIds": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"rowsCount": 123,
"executionId": "<string>",
"executedAt": "2023-01-15T01:30:15.01Z",
"errorMessage": "<string>",
"resultData": "<string>"
},
"status": "DATACHECK_STATUS_UNSPECIFIED",
"message": "<string>",
"monitorResult": {
"monitorId": "<string>",
"monitorName": "<string>",
"monitorPath": "<string>",
"metricsVersion": 123,
"entityId": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"executionId": "<string>",
"executedAt": "2023-01-15T01:30:15.01Z",
"predictions": [
{
"status": "DATACHECK_STATUS_UNSPECIFIED",
"message": "<string>",
"value": 123,
"expected": 123,
"field": "<string>",
"segment": "<string>"
}
]
}
}
]
}TriggerDatachecks
TriggerDatachecks executes datachecks for the specified entities.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
List of entity identifiers to trigger datachecks for.
1Identifier is a unique reference to an entity in Coalesce Quality system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.
- airflow_dag
- airflow_task
- athena_table
- bigquery_table
- clickhouse_table
- custom
- databricks_table
- dataproduct
- dbt_cloud_node
- dbt_core_node
- fabric_table
- monitor
- mssql_table
- mysql_table
- oracle_table
- postgres_table
- redshift_table
- saved_view
- snowflake_table
- sql_mesh_audit
- sql_mesh_model
- synq_path
- trino_table
Show child attributes
Show child attributes
Response
Success
Results from all datacheck executions.
Result from a single datacheck execution.
- DatacheckResult
- DatacheckResult
Show child attributes
Show child attributes